using Indotalent.Infrastructure.Authentication.Firebase;
using Indotalent.Infrastructure.Authentication.Keycloak;
using Microsoft.Extensions.Options;

namespace Indotalent.Infrastructure.Authentication.Identity;

public class IdentityService(IOptions<IdentitySettingsModel> options)
{
    private readonly IdentitySettingsModel _settings = options.Value;

    public IdentitySettingsModel GetConfiguration() => _settings;

    public DefaultAdminSettings GetDefaultAdmin() => _settings.DefaultAdmin;

    public PasswordSettings GetPasswordPolicy() => _settings.Password;

    public CookieSettings GetCookieSettings() => _settings.Cookies;

    public SignInSettings GetSignInSettings() => _settings.SignIn;

    public FirebaseSettingsModel GetFirebaseSettings() => _settings.SsoFirebase;

    public KeycloakSettingsModel GetKeycloakSettings() => _settings.SsoKeycloak;
}